cmake_minimum_required(VERSION 3.10)

project(sample-fft-all)

find_package(elcore50-signal-lib QUIET)
if(${ELCORE50_CL_BUILD})
    find_package(ElcoreRuntime REQUIRED)
endif()

add_executable(sample-fft-all sample-fft-all.c)
target_link_libraries(sample-fft-all PRIVATE elcore50-signal-lib)
if(${ELCORE50_CL_BUILD})
    target_link_libraries(sample-fft-all PRIVATE elcore-runtime)
endif()
